Bug 1668256 - "dnf upgrade" reinstalls kernel packages reporting it cannot install best update candidate
Summary: "dnf upgrade" reinstalls kernel packages reporting it cannot install best upd...
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libsolv
Version: 7.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Mracek
QA Contact: Karel Srot
URL:
Whiteboard:
Keywords: Triaged
: 1677862 (view as bug list)
Depends On:
Blocks: 1687455
TreeView+ depends on / blocked
 
Reported: 2019-01-22 10:03 UTC by Karel Srot
Modified: 2019-05-02 08:25 UTC (History)
12 users (show)

(edit)
Clone Of: 1554820
(edit)
Last Closed:


Attachments (Terms of Use)

Description Karel Srot 2019-01-22 10:03:40 UTC
I am seeing this issue on RHEL-7.6.
The comment in bug 1554820 suggests it has been fixed in libsolv-0.6.35-3 however in RHEL-7 we have libsolv-0.6.34-2.el7.

+++ This bug was initially created as a clone of Bug #1554820 +++

Description of problem:

When running "dnf upgrade", it reports that it cannot install the best update candidate for kernel related packages and suggests to reinstall them. When you confirm the operation, it produces the same output with the next "dnf upgrade".

Version-Release number of selected component (if applicable):

dnf-2.7.5-8.fc28.noarch

How reproducible:

Always

Steps to Reproduce:
1. Run the "dnf upgrade" command

Actual results:

Problem 1: cannot install both kernel-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-4.15.7-300.fc27.x86_64

Expected results:

Dnf should not reinstall packages when there are no updates available.

Additional info:

Last metadata expiration check: 1:04:52 ago on Tue 13 Mar 2018 12:24:27 PM CET.
Dependencies resolved.

 Problem 1: cannot install both kernel-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-4.15.7-300.fc27.x86_64
 Problem 2: cannot install both kernel-core-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-core-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-core-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-core-4.15.7-300.fc27.x86_64
 Problem 3: cannot install both kernel-debug-core-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-debug-core-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-debug-core-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-debug-core-4.15.7-300.fc27.x86_64
 Problem 4: cannot install both kernel-debug-devel-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-debug-devel-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-debug-devel-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-debug-devel-4.15.7-300.fc27.x86_64
 Problem 5: cannot install both kernel-debug-modules-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-debug-modules-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-debug-modules-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-debug-modules-4.15.7-300.fc27.x86_64
 Problem 6: cannot install both kernel-debug-modules-extra-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-debug-modules-extra-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-debug-modules-extra-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-debug-modules-extra-4.15.7-300.fc27.x86_64
 Problem 7: cannot install both kernel-devel-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-devel-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-devel-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-devel-4.15.7-300.fc27.x86_64
 Problem 8: cannot install both kernel-modules-4.16.0-0.rc4.git0.1.fc28.x86_64 and kernel-modules-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-modules-4.16.0-0.rc4.git0.1.fc28.x86_64
  - cannot install the best update candidate for package kernel-modules-4.15.7-300.fc27.x86_64
========================================================================================================================================================
 Package                                       Arch                      Version                                        Repository                 Size
========================================================================================================================================================
Reinstalling:
 kernel                                        x86_64                    4.16.0-0.rc4.git0.1.fc28                       fedora                     88 k
 kernel-core                                   x86_64                    4.16.0-0.rc4.git0.1.fc28                       fedora                     24 M
 kernel-debug-core                             x86_64                    4.16.0-0.rc4.git0.1.fc28                       fedora                     25 M
 kernel-debug-devel                            x86_64                    4.16.0-0.rc4.git0.1.fc28                       fedora                     13 M
 kernel-debug-modules                          x86_64                    4.16.0-0.rc4.git0.1.fc28                       fedora                     28 M
 kernel-debug-modules-extra                    x86_64                    4.16.0-0.rc4.git0.1.fc28                       fedora                    2.3 M
 kernel-devel                                  x86_64                    4.16.0-0.rc4.git0.1.fc28                       fedora                     12 M
 kernel-modules                                x86_64                    4.16.0-0.rc4.git0.1.fc28                       fedora                     27 M

Transaction Summary
========================================================================================================================================================

Total download size: 131 M
Is this ok [y/N]:

--- Additional comment from Jaroslav Mracek on 2018-03-21 08:44:27 UTC ---

Please can you provide data created by "dnf --debugsolver upgrade" command? Thanks a lot

--- Additional comment from Jaroslav Mracek on 2018-03-21 08:50:34 UTC ---

Additionally please can you try our upstream dnf if you can reproduce the bug (dnf copr enable rpmsoftwatemanagement/dnf-nightly)? Thanks a lot.

--- Additional comment from Gerry Agbobada on 2018-04-11 12:01:56 UTC ---

I have the same issue, so I'll provide the debugdata from dnf (Sorry for all the copr related data, but I'm not sure I'm supposed to filter them out).

I have the same F28Beta version of Fedora, and kernel keeps asking about reinstalling each time I run the upgrade command (with also a small issue about nss-pem package, it could show up in the debugdata).

The copr doesn't work when I try to update dnf (even after correcting the small typo in rpmsoftwaremanagement name)

--- Additional comment from Gerry Agbobada on 2018-04-11 12:03 UTC ---

The requested data

--- Additional comment from Michael Young on 2018-04-12 22:18:07 UTC ---

It is related to modular support, and possibly libmodulemd. I saw it in a server updated from Boltron, which went away when I deleted the left over module yaml files.
I recently replaced the install with a F28 server one, and the symptom has just reappeared after the latest update to dnf-2.7.5-9.fc28 which pulled in libmodulemd.
Now dnf update gives
 Problem 1: cannot install both kernel-4.16.1-300.fc28.x86_64 and kernel-4.16.1-300.fc28.x86_64
  - cannot install the best update candidate for package kernel-4.16.1-300.fc28.x86_64
  - cannot install the best update candidate for package kernel-4.16.0-300.fc28.x86_64
 Problem 2: cannot install both kernel-core-4.16.1-300.fc28.x86_64 and kernel-core-4.16.1-300.fc28.x86_64
  - cannot install the best update candidate for package kernel-core-4.16.1-300.fc28.x86_64
  - cannot install the best update candidate for package kernel-core-4.16.0-300.fc28.x86_64
 Problem 3: cannot install both kernel-modules-4.16.1-300.fc28.x86_64 and kernel-modules-4.16.1-300.fc28.x86_64
  - cannot install the best update candidate for package kernel-modules-4.16.1-300.fc28.x86_64
  - cannot install the best update candidate for package kernel-modules-4.16.0-300.fc28.x86_64
================================================================================
 Package            Arch       Version                Repository           Size
================================================================================
Reinstalling:
 kernel             x86_64     4.16.1-300.fc28        updates-testing      90 k
 kernel-core        x86_64     4.16.1-300.fc28        updates-testing      24 M
 kernel-modules     x86_64     4.16.1-300.fc28        updates-testing      27 M

Transaction Summary
================================================================================
 
but dnf update --disablerepo=\*modular\* gives
Nothing to do.
as does
dnf update --disablerepo=fedora-modular --disablerepo=updates-modular
but the kernel reinstall happens if either fedora-modular or updates-modular is enabled.

--- Additional comment from Satish Balay on 2018-04-22 16:56:24 UTC ---

I see this issue when I invoke 'dnf update kernel*'. 'dnf update' does not list kernel in the update list.

Its a bit disconcerting that it wants to reinstall currently running/active kernel





[root@asterix ~]# dnf update kernel
Last metadata expiration check: 0:00:00 ago on Sun 22 Apr 2018 11:52:22 AM CDT.
Dependencies resolved.

 Problem: cannot install both kernel-4.16.3-300.fc28.x86_64 and kernel-4.16.3-300.fc28.x86_64
  - cannot install the best update candidate for package kernel-4.16.3-300.fc28.x86_64
  - cannot install the best update candidate for package kernel-4.16.2-300.fc28.x86_64
==============================================================================================
 Package          Arch             Version                    Repository                 Size
==============================================================================================
Reinstalling:
 kernel           x86_64           4.16.3-300.fc28            updates-testing            91 k

Transaction Summary
==============================================================================================

Total download size: 91 k
Is this ok [y/N]: n
Operation aborted.
[root@asterix ~]# uname -a
Linux asterix 4.16.3-300.fc28.x86_64 #1 SMP Thu Apr 19 19:04:56 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
[root@asterix ~]# dnf update |grep kernel
n
Operation aborted.
[root@asterix ~]# dnf check-update |grep kernel
[root@asterix ~]# 
[root@asterix ~]# rpm -q dnf
dnf-2.7.5-12.fc28.noarch
[root@asterix ~]#

--- Additional comment from Jaroslav Mracek on 2018-10-08 14:37:27 UTC ---

The problem is fixed in upstream and will be released as part of dnf-4.0 and libsolv-0.6.35-3.

--- Additional comment from Jaroslav Mracek on 2018-10-08 14:40:08 UTC ---

Here is a copr repository for testing https://copr.fedorainfracloud.org/coprs/jmracek/dnf-upstream.

--- Additional comment from Jaroslav Mracek on 2018-10-08 14:40:35 UTC ---



--- Additional comment from Satish Balay on 2018-10-08 14:54:29 UTC ---

On F29 - I don't see this problem anymore

[root@asterix ~]# rpm -q libsolv dnf
libsolv-0.6.35-3.fc29.x86_64
dnf-3.6.1-1.fc29.noarch
[root@asterix ~]# dnf update kernel*
Last metadata expiration check: 0:03:27 ago on Mon 08 Oct 2018 09:50:00 AM CDT.
Dependencies resolved.
Nothing to do.
Complete!
[root@asterix ~]#

I guess the fix is primarily in libsolv-0.6.35-3 and not necessarily in dnf-4.0

Comment 1 Michael Young 2019-02-01 09:53:30 UTC
I installed a mock rebuild of libsolv-0.6.35-3.fc28 on my RHEL7 test VM and the problem goes away so it does indeed look like the problem will be fixed with a libsolv update.

Comment 2 Mason Loring Bliss 2019-02-17 19:45:44 UTC
I also see this - for completeness:

[root@rhel7 ~]# yum update
Loaded plugins: auto-update-debuginfo, changelog, product-id, search-disabled-
              : repos, subscription-manager
No packages marked for update
[root@rhel7 ~]# yum install dnf
Loaded plugins: auto-update-debuginfo, changelog, product-id, search-disabled-
              : repos, subscription-manager
Resolving Dependencies
--> Running transaction check
---> Package dnf.noarch 0:4.0.9.2-1.el7_6 will be installed
--> Processing Dependency: python2-dnf = 4.0.9.2-1.el7_6 for package: dnf-4.0.9.2-1.el7_6.noarch
--> Running transaction check
---> Package python2-dnf.noarch 0:4.0.9.2-1.el7_6 will be installed
--> Processing Dependency: dnf-data = 4.0.9.2-1.el7_6 for package: python2-dnf-4.0.9.2-1.el7_6.noarch
--> Processing Dependency: libmodulemd >= 1.4.0 for package: python2-dnf-4.0.9.2-1.el7_6.noarch
--> Processing Dependency: python2-hawkey >= 0.22.5 for package: python2-dnf-4.0.9.2-1.el7_6.noarch
--> Processing Dependency: python2-libcomps >= 0.1.8 for package: python2-dnf-4.0.9.2-1.el7_6.noarch
--> Processing Dependency: python2-libdnf >= 0.22.5 for package: python2-dnf-4.0.9.2-1.el7_6.noarch
--> Processing Dependency: python-enum34 for package: python2-dnf-4.0.9.2-1.el7_6.noarch
--> Processing Dependency: python2-libdnf for package: python2-dnf-4.0.9.2-1.el7_6.noarch
--> Running transaction check
---> Package dnf-data.noarch 0:4.0.9.2-1.el7_6 will be installed
--> Processing Dependency: libreport-filesystem for package: dnf-data-4.0.9.2-1.el7_6.noarch
---> Package libmodulemd.x86_64 0:1.6.3-1.el7 will be installed
--> Processing Dependency: libyaml-0.so.2()(64bit) for package: libmodulemd-1.6.3-1.el7.x86_64
---> Package python-enum34.noarch 0:1.0.4-1.el7 will be installed
---> Package python2-hawkey.x86_64 0:0.22.5-1.el7_6 will be installed
--> Processing Dependency: libdnf(x86-64) = 0.22.5-1.el7_6 for package: python2-hawkey-0.22.5-1.el7_6.x86_64
--> Processing Dependency: libsolv.so.0(SOLV_1.0)(64bit) for package: python2-hawkey-0.22.5-1.el7_6.x86_64
--> Processing Dependency: libsolvext.so.0(SOLV_1.0)(64bit) for package: python2-hawkey-0.22.5-1.el7_6.x86_64
--> Processing Dependency: libdnf.so.2()(64bit) for package: python2-hawkey-0.22.5-1.el7_6.x86_64
--> Processing Dependency: libjson-glib-1.0.so.0()(64bit) for package: python2-hawkey-0.22.5-1.el7_6.x86_64
--> Processing Dependency: librepo.so.0()(64bit) for package: python2-hawkey-0.22.5-1.el7_6.x86_64
--> Processing Dependency: librhsm.so.0()(64bit) for package: python2-hawkey-0.22.5-1.el7_6.x86_64
--> Processing Dependency: libsolv.so.0()(64bit) for package: python2-hawkey-0.22.5-1.el7_6.x86_64
--> Processing Dependency: libsolvext.so.0()(64bit) for package: python2-hawkey-0.22.5-1.el7_6.x86_64
---> Package python2-libcomps.x86_64 0:0.1.8-12.el7 will be installed
--> Processing Dependency: libcomps(x86-64) = 0.1.8-12.el7 for package: python2-libcomps-0.1.8-12.el7.x86_64
--> Processing Dependency: libcomps.so.0.1.6()(64bit) for package: python2-libcomps-0.1.8-12.el7.x86_64
---> Package python2-libdnf.x86_64 0:0.22.5-1.el7_6 will be installed
--> Running transaction check
---> Package json-glib.x86_64 0:1.4.2-2.el7 will be installed
---> Package libcomps.x86_64 0:0.1.8-12.el7 will be installed
---> Package libdnf.x86_64 0:0.22.5-1.el7_6 will be installed
---> Package librepo.x86_64 0:1.8.1-7.el7 will be installed
---> Package libreport-filesystem.x86_64 0:2.1.11-42.el7 will be installed
---> Package librhsm.x86_64 0:0.0.3-1.el7 will be installed
---> Package libsolv.x86_64 0:0.6.34-2.el7 will be installed
---> Package libyaml.x86_64 0:0.1.4-11.el7_0 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch   Version            Repository                 Size
================================================================================
Installing:
 dnf                  noarch 4.0.9.2-1.el7_6    rhel-7-server-extras-rpms 357 k
Installing for dependencies:
 dnf-data             noarch 4.0.9.2-1.el7_6    rhel-7-server-extras-rpms  51 k
 json-glib            x86_64 1.4.2-2.el7        rhel-7-server-rpms        134 k
 libcomps             x86_64 0.1.8-12.el7       rhel-7-server-extras-rpms  75 k
 libdnf               x86_64 0.22.5-1.el7_6     rhel-7-server-extras-rpms 533 k
 libmodulemd          x86_64 1.6.3-1.el7        rhel-7-server-extras-rpms 153 k
 librepo              x86_64 1.8.1-7.el7        rhel-7-server-rpms         82 k
 libreport-filesystem x86_64 2.1.11-42.el7      rhel-7-server-rpms         39 k
 librhsm              x86_64 0.0.3-1.el7        rhel-7-server-extras-rpms  27 k
 libsolv              x86_64 0.6.34-2.el7       rhel-7-server-rpms        328 k
 libyaml              x86_64 0.1.4-11.el7_0     rhel-7-server-rpms         55 k
 python-enum34        noarch 1.0.4-1.el7        rhel-7-server-rpms         52 k
 python2-dnf          noarch 4.0.9.2-1.el7_6    rhel-7-server-extras-rpms 414 k
 python2-hawkey       x86_64 0.22.5-1.el7_6     rhel-7-server-extras-rpms  68 k
 python2-libcomps     x86_64 0.1.8-12.el7       rhel-7-server-extras-rpms  47 k
 python2-libdnf       x86_64 0.22.5-1.el7_6     rhel-7-server-extras-rpms 609 k

Transaction Summary
================================================================================
Install  1 Package (+15 Dependent packages)

Total download size: 3.0 M
Installed size: 11 M
Is this ok [y/d/N]: y
Downloading packages:
(1/16): dnf-data-4.0.9.2-1.el7_6.noarch.rpm                |  51 kB   00:01     
(2/16): dnf-4.0.9.2-1.el7_6.noarch.rpm                     | 357 kB   00:02     
(3/16): json-glib-1.4.2-2.el7.x86_64.rpm                   | 134 kB   00:02     
(4/16): libcomps-0.1.8-12.el7.x86_64.rpm                   |  75 kB   00:00     
(5/16): libdnf-0.22.5-1.el7_6.x86_64.rpm                   | 533 kB   00:00     
(6/16): libmodulemd-1.6.3-1.el7.x86_64.rpm                 | 153 kB   00:00     
(7/16): libreport-filesystem-2.1.11-42.el7.x86_64.rpm      |  39 kB   00:00     
(8/16): librepo-1.8.1-7.el7.x86_64.rpm                     |  82 kB   00:01     
(9/16): librhsm-0.0.3-1.el7.x86_64.rpm                     |  27 kB   00:00     
(10/16): libyaml-0.1.4-11.el7_0.x86_64.rpm                 |  55 kB   00:00     
(11/16): libsolv-0.6.34-2.el7.x86_64.rpm                   | 328 kB   00:01     
(12/16): python-enum34-1.0.4-1.el7.noarch.rpm              |  52 kB   00:00     
(13/16): python2-hawkey-0.22.5-1.el7_6.x86_64.rpm          |  68 kB   00:00     
(14/16): python2-dnf-4.0.9.2-1.el7_6.noarch.rpm            | 414 kB   00:01     
(15/16): python2-libcomps-0.1.8-12.el7.x86_64.rpm          |  47 kB   00:00     
(16/16): python2-libdnf-0.22.5-1.el7_6.x86_64.rpm          | 609 kB   00:00     
--------------------------------------------------------------------------------
Total                                              417 kB/s | 3.0 MB  00:07     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : json-glib-1.4.2-2.el7.x86_64                                1/16 
  Installing : librhsm-0.0.3-1.el7.x86_64                                  2/16 
  Installing : librepo-1.8.1-7.el7.x86_64                                  3/16 
  Installing : libsolv-0.6.34-2.el7.x86_64                                 4/16 
  Installing : libcomps-0.1.8-12.el7.x86_64                                5/16 
  Installing : python2-libcomps-0.1.8-12.el7.x86_64                        6/16 
  Installing : python-enum34-1.0.4-1.el7.noarch                            7/16 
  Installing : libreport-filesystem-2.1.11-42.el7.x86_64                   8/16 
  Installing : dnf-data-4.0.9.2-1.el7_6.noarch                             9/16 
  Installing : libyaml-0.1.4-11.el7_0.x86_64                              10/16 
  Installing : libmodulemd-1.6.3-1.el7.x86_64                             11/16 
  Installing : libdnf-0.22.5-1.el7_6.x86_64                               12/16 
  Installing : python2-libdnf-0.22.5-1.el7_6.x86_64                       13/16 
  Installing : python2-hawkey-0.22.5-1.el7_6.x86_64                       14/16 
  Installing : python2-dnf-4.0.9.2-1.el7_6.noarch                         15/16 
  Installing : dnf-4.0.9.2-1.el7_6.noarch                                 16/16 
  Verifying  : libyaml-0.1.4-11.el7_0.x86_64                               1/16 
  Verifying  : python2-libdnf-0.22.5-1.el7_6.x86_64                        2/16 
  Verifying  : python2-libcomps-0.1.8-12.el7.x86_64                        3/16 
  Verifying  : libreport-filesystem-2.1.11-42.el7.x86_64                   4/16 
  Verifying  : libmodulemd-1.6.3-1.el7.x86_64                              5/16 
  Verifying  : libdnf-0.22.5-1.el7_6.x86_64                                6/16 
  Verifying  : dnf-data-4.0.9.2-1.el7_6.noarch                             7/16 
  Verifying  : python2-hawkey-0.22.5-1.el7_6.x86_64                        8/16 
  Verifying  : python-enum34-1.0.4-1.el7.noarch                            9/16 
  Verifying  : python2-dnf-4.0.9.2-1.el7_6.noarch                         10/16 
  Verifying  : libsolv-0.6.34-2.el7.x86_64                                11/16 
  Verifying  : json-glib-1.4.2-2.el7.x86_64                               12/16 
  Verifying  : librhsm-0.0.3-1.el7.x86_64                                 13/16 
  Verifying  : librepo-1.8.1-7.el7.x86_64                                 14/16 
  Verifying  : libcomps-0.1.8-12.el7.x86_64                               15/16 
  Verifying  : dnf-4.0.9.2-1.el7_6.noarch                                 16/16 

Installed:
  dnf.noarch 0:4.0.9.2-1.el7_6                                                  

Dependency Installed:
  dnf-data.noarch 0:4.0.9.2-1.el7_6                                             
  json-glib.x86_64 0:1.4.2-2.el7                                                
  libcomps.x86_64 0:0.1.8-12.el7                                                
  libdnf.x86_64 0:0.22.5-1.el7_6                                                
  libmodulemd.x86_64 0:1.6.3-1.el7                                              
  librepo.x86_64 0:1.8.1-7.el7                                                  
  libreport-filesystem.x86_64 0:2.1.11-42.el7                                   
  librhsm.x86_64 0:0.0.3-1.el7                                                  
  libsolv.x86_64 0:0.6.34-2.el7                                                 
  libyaml.x86_64 0:0.1.4-11.el7_0                                               
  python-enum34.noarch 0:1.0.4-1.el7                                            
  python2-dnf.noarch 0:4.0.9.2-1.el7_6                                          
  python2-hawkey.x86_64 0:0.22.5-1.el7_6                                        
  python2-libcomps.x86_64 0:0.1.8-12.el7                                        
  python2-libdnf.x86_64 0:0.22.5-1.el7_6                                        

Complete!
[root@rhel7 ~]# dnf update
Red Hat Software Collections RPMs for Red Hat E 2.1 MB/s |  21 MB     00:10    
Red Hat Enterprise Linux 7 Server - Extras (RPM 864 kB/s | 1.1 MB     00:01    
Red Hat Enterprise Linux 7 Server (RPMs)        2.2 MB/s |  68 MB     00:31    
Red Hat Enterprise Linux 7 Server - Optional (R 1.9 MB/s |  30 MB     00:15    
Last metadata expiration check: 0:00:01 ago on Sun 17 Feb 2019 02:28:10 PM EST.
Dependencies resolved.

 Problem: cannot install both kernel-3.10.0-957.5.1.el7.x86_64 and kernel-3.10.0-957.5.1.el7.x86_64
  - cannot install the best update candidate for package kernel-3.10.0-957.5.1.el7.x86_64
  - cannot install the best update candidate for package kernel-3.10.0-957.el7.x86_64
================================================================================
 Package     Arch        Version                  Repository               Size
================================================================================
Reinstalling:
 kernel      x86_64      3.10.0-957.5.1.el7       rhel-7-server-rpms       48 M

Transaction Summary
================================================================================

Total download size: 48 M
Installed size: 63 M
Is this ok [y/N]:

Comment 3 Akemi Yagi 2019-02-25 01:37:23 UTC
I was able to reproduce the errors in comment #2.

$ sudo dnf update

Dependencies resolved.

 Problem 1: cannot install both kernel-3.10.0-957.5.1.el7.x86_64 and kernel-3.10.0-957.5.1.el7.x86_64
  - cannot install the best update candidate for package kernel-3.10.0-957.5.1.el7.x86_64
  - cannot install the best update candidate for package kernel-3.10.0-862.11.6.el7.x86_64
 Problem 2: cannot install both kernel-devel-3.10.0-957.5.1.el7.x86_64 and kernel-devel-3.10.0-957.5.1.el7.x86_64
  - cannot install the best update candidate for package kernel-devel-3.10.0-957.5.1.el7.x86_64
  - cannot install the best update candidate for package kernel-devel-3.10.0-862.el7.x86_64
================================================================================================================
 Package                 Arch              Version                          Repository                     Size
================================================================================================================
Reinstalling:
 kernel-devel            x86_64            3.10.0-957.5.1.el7               rhel-7-server-rpms             17 M
     replacing  kernel-devel.x86_64 3.10.0-957.1.3.el7
     replacing  kernel-devel.x86_64 3.10.0-957.5.1.el7
     replacing  kernel-devel.x86_64 3.10.0-957.el7
 kernel                  x86_64            3.10.0-957.5.1.el7               rhel-7-server-rpms             48 M
Removing:
 kernel                  x86_64            3.10.0-862.11.6.el7              @System                        62 M

Transaction Summary
================================================================================================================
Remove  1 Package

Total download size: 65 M
Is this ok [y/N]:

Comment 6 Jaroslav Mracek 2019-03-19 08:25:01 UTC
*** Bug 1677862 has been marked as a duplicate of this bug. ***

Comment 8 Jaroslav Mracek 2019-03-19 13:46:50 UTC
The issue is fixed by commit https://github.com/openSUSE/libsolv/commit/0ce04714c477f25fde16c57b5fdc478755794126.


Note You need to log in before you can comment on or make changes to this bug.